INTERFACE
SUBROUTINE LARCIN2TL(KASLB1,KPROMA,KSTART,KPROF,KGLN,KGLX,&
 & KFLDN,KFLDX,&
 & KSTABUF,&
 & KWISA,KXLAG,KROT,LDPLANE,&
 & LDQMHW,LDQMHP,&
 & KSTTYP,PDSTRET,PC2M1,PC2P1,P4JP,PI,PDEPI,PIS2,&
 & PLOCEN,PMUCEN,PLSDEPI,PLATI,PIPI0,PIPI1,PIPI2,&
 & PCOLON,PSILON,PGEMU,PGSQM2,PGECLO,PGESLO,&
 & PCOSCO,PSINCO,PSINLA,PCOPHI,&
 & PCOSCO5,PSINCO5,PSINLA5,PCOPHI5,&
 & PURL0,PVRL0,&
 & PUSL,PVSL,PCSL,PUSL2,PVSL2,PCSL2,&
 & PURL05,PVRL05,&
 & PUSL5,PVSL5,PCSL5,PUSL25,PVSL25,PCSL25,&
 & PLON,PLAT,&
 & PO,PQ,&
 & PUF0,PVF0,&
 & PUF,PVF,PCF,&
 & PLON5,PLAT5,&
 & PO5,PQ5,&
 & PUF05,PVF05,&
 & PUF5,PVF5,PCF5,&
 & PUFZ,PVFZ,PUFZ5,PVFZ5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KASLB1
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KGLN
INTEGER(KIND=JPIM),INTENT(IN) :: KGLX
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDN
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDX
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KSTABUF(KGLN:KGLX)
INTEGER(KIND=JPIM),INTENT(IN) :: KWISA
INTEGER(KIND=JPIM),INTENT(IN) :: KXLAG(6)
INTEGER(KIND=JPIM),INTENT(IN) :: KROT
LOGICAL ,INTENT(IN) :: LDPLANE
LOGICAL ,INTENT(IN) :: LDQMHW
LOGICAL ,INTENT(IN) :: LDQMHP
INTEGER(KIND=JPIM),INTENT(IN) :: KSTTYP
REAL(KIND=JPRB) ,INTENT(IN) :: PDSTRET
REAL(KIND=JPRB) ,INTENT(IN) :: PC2M1
REAL(KIND=JPRB) ,INTENT(IN) :: PC2P1
REAL(KIND=JPRB) ,INTENT(IN) :: P4JP
REAL(KIND=JPRB) ,INTENT(IN) :: PI
REAL(KIND=JPRB) ,INTENT(IN) :: PDEPI
REAL(KIND=JPRB) ,INTENT(IN) :: PIS2
REAL(KIND=JPRB) ,INTENT(IN) :: PLOCEN
REAL(KIND=JPRB) ,INTENT(IN) :: PMUCEN
REAL(KIND=JPRB) ,INTENT(IN) :: PLSDEPI(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PLATI(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI0(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI1(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI2(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOLON(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSILON(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSQM2(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOSCO(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSINCO(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSINLA(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOPHI(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOSCO5(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSINCO5(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSINLA5(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOPHI5(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PURL0(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PVRL0(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PUSL(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PVSL(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PCSL(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PUSL2(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PVSL2(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PCSL2(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PURL05(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PVRL05(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PUSL5(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PVSL5(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PCSL5(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PUSL25(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PVSL25(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PCSL25(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLON(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLAT(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PO(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQ(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUF0(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVF0(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUF(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVF(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCF(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLON5(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLAT5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PO5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQ5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUF05(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVF05(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUF5(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVF5(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCF5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUFZ(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVFZ(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUFZ5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVFZ5(KPROMA)
END SUBROUTINE LARCIN2TL
END INTERFACE
